Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.dsp.management.beans
Enum AuditGroupConfig.AuditLevelType

    java.lang.Object
      java.lang.Enum<AuditGroupConfig.AuditLevelType>
          com.bea.dsp.management.beans.AuditGroupConfig.AuditLevelType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<AuditGroupConfig.AuditLevelType>

Enclosing class:
  AuditGroupConfig

    public static enum AuditGroupConfig.AuditLevelType

extends java.lang.Enum<AuditGroupConfig.AuditLevelType>

Various audit levels.

Enum Constant Summary
`ALWAYS`
`DEFAULT`
`NEVER`

Method Summary
`static AuditGroupConfig.AuditLevelType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static AuditGroupConfig.AuditLevelType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ALWAYS

    public static final AuditGroupConfig.AuditLevelType ALWAYS

### DEFAULT

    public static final AuditGroupConfig.AuditLevelType DEFAULT

### NEVER

    public static final AuditGroupConfig.AuditLevelType NEVER

Method Detail

### values

    public static AuditGroupConfig.AuditLevelType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (AuditGroupConfig.AuditLevelType c : AuditGroupConfig.AuditLevelType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static AuditGroupConfig.AuditLevelType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009 Oracle. All Rights Reserved.